<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>yunzhupaas-system</artifactId>
        <groupId>com.yunzhupaas</groupId>
        <version>5.2.0-RELEASE</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>yunzhupaas-system-biz</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-provider</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-oauth-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-message-entity</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.github.oshi</groupId>
            <artifactId>oshi-core</artifactId>
        </dependency>
        <!--<dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>-->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.baomidou</groupId>
                    <artifactId>mybatis-plus-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.github.vertical-blank</groupId>
            <artifactId>sql-formatter</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-ai</artifactId>
        </dependency>
    </dependencies>

</project>
